﻿using System;

namespace InABox.Core
{
    public class EditorSequence : Attribute
    {
        public EditorSequence(int sequence) : this("", sequence)
        {
        }

        public EditorSequence(string page, int sequence)
        {
            Sequence = sequence;
            Page = page;
        }

        [NullEditor]
        public int Sequence { get; set; }

        [NullEditor]
        public string Page { get; set; }
    }
}