using Xamarin.Forms;

namespace InABox.Mobile
{
    public class MobileEditor : Editor
    {
        public MobileEditor()
        {
            TextColor = Color.Black;
            BackgroundColor = Color.LightYellow;
            FontSize = Device.GetNamedSize(NamedSize.Small, this);
            PlaceholderColor = Color.Gray;
            this.Keyboard = Keyboard.Plain;
            AutoSize = EditorAutoSizeOption.TextChanges;
        }
    }
}