using System;
using InABox.Core;

namespace InABox.Mobile
{
    public class DateTimeToStringConverter: AbstractConverter<DateTime,String>
    {
        
        public String EmptyText { get; set; }
        public String FilledText { get; set; }

        protected override String Convert(DateTime value, object? parameter = null)
        {
            return value.IsEmpty() ? EmptyText : FilledText;
        }
        
    }
}