using System;
using InABox.Core;

namespace InABox.Rpc
{
    /// <summary>
    /// Flag an <see cref="IRpcCommand{TProperties, TResult}"/> with <see cref="IRpcLogCommand"/> if its execution should be logged.
    /// </summary>
    public interface IRpcLogCommand { }

    public interface IRpcCommand<TProperties, TResult>
        where TProperties : IRpcCommandParameters, ISerializeBinary
        where TResult : IRpcCommandResult
    {
    }
    
}