namespace InABox.Rpc
{
    public class RpcTransportMessageArgs
    {
        public IRpcSession? Session { get; set; }
        public RpcMessage? Message { get; }

        public RpcTransportMessageArgs(IRpcSession? session, RpcMessage? message)
        {
            Session = session;
            Message = message;
        }
    }

    public delegate void RpcTransportMessageEvent(IRpcTransport transport, RpcTransportMessageArgs e);
}