﻿using InABox.Core;
using InABox.Database;
using InABox.Server;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace InABox.Rpc
{
    public class RpcVersionHandler : RpcCommandHandler<IRpcServer, RpcVersionCommand, RpcVersionParameters, RpcVersionResult>
    {
        public RpcVersionHandler(IRpcServer sender) : base(sender)
        {
        }

        protected override RpcVersionResult Execute(IRpcSession session, RpcVersionParameters parameters, Logger logger)
        {
            return new RpcVersionResult { Version = UpdateData.GetUpdateVersion() };
        }
    }
}
