using System;
using System.ComponentModel;

namespace InABox.Core
{
    
    public class BlobEditorClickArgs : CancelEventArgs
    {
        public byte[] Data { get; set; }
    }
    public class BlobEditor : BaseEditor
    {
        public Action<object,BlobEditorClickArgs> OnClick { get; set; }
        
        public String Label { get; set; }

        public BlobEditor()
        {
            Label = "Edit";
            Alignment = Alignment.NotSet;
        }

        protected override BaseEditor DoClone()
        {
            return new BlobEditor() { OnClick = this.OnClick };
        }
        
    }
}