﻿using System;

namespace InABox.Core
{
    public class NullCodeException : Exception
    {
        private readonly string _property;

        private readonly Type _type;

        public NullCodeException(Type type, string property)
        {
            _type = type;
            _property = property;
        }

        public override string Message => string.Format("{0}: {1} may not be blank", _type.Name, _property);
    }
}